Package Details: sublime-text-dev 3.3211-1

Git Clone URL: https://aur.archlinux.org/sublime-text-dev.git (read-only, click to copy)
Package Base: sublime-text-dev
Description: Sophisticated text editor for code, html and prose - dev build
Upstream URL: http://www.sublimetext.com/3
Licenses: custom
Conflicts: sublime-text-nightly
Provides: sublime-text-nightly
Submitter: realitygaps
Maintainer: sender
Last Packager: sender
Votes: 507
Popularity: 2.44
First Submitted: 2011-11-10 18:32
Last Updated: 2019-10-01 09:31

Pinned Comments

sender commented on 2017-06-04 15:31

Since 26 May 2017 Sublime Text 3 is available via the dedicated pacman repo provided by the author. From now on this is the recommended way to install ST3 on Arch Linux.

Package sublime-text-dev is replaced by repo 'stable'.
Package sublime-text-nightly is replaced by repo 'dev'.

See: https://www.sublimetext.com/docs/3/linux_repositories.html#pacman

sender commented on 2016-02-17 08:37

There seems to be a lot of confusion about the ST packages. This is because the author switched names for branches. Packages:

Sublime Text 3 Beta
- package: sublime-text-dev
- Upstream: www.sublimetext.com/3

Sublime Text 3 Dev (used to be called nightly)
- package: sublime-text-nightly
- upstream: www.sublimetext.com/3dev
- NOTE: for registered users only

If you want the absolute latest get *sublime-text-nightly*. Note that you have to be licensed to use this!

Latest Comments

« First ‹ Previous ... 3 4 5 6 7 8 9 10 11 12 13 ... Next › Last »

Marcel_K commented on 2016-01-08 10:30

That's a problem with yaourt. I can't see how that is related to this package. Please file a bug at yaourt's page.

zerophase commented on 2016-01-08 05:50

If I try to download sublime-text-nightly, with yaourt -S --noconfirm this package gets downloaded instead.

sender commented on 2015-12-16 13:09

@Marcel_K Thanks!

Marcel_K commented on 2015-12-14 00:29

Done: http://www.sublimetext.com/forum/viewtopic.php?f=3&t=22393

sender commented on 2015-12-13 22:52

@Marcel_K Personally I have no affinity with this layer of tech or any authority in the development process of ST. If you feel you can escalate this in the right way to the developer, you have my support ;) The post says that the old ABI will still be available, so in the meantime we are probably fine.

Marcel_K commented on 2015-12-12 20:14

According to the script in [1], the binaries should be recompiled. However, this package relies on pre-compiled binaries. Should this be escalated to the developer?

[1] https://lists.archlinux.org/pipermail/arch-dev-public/2015-December/027597.html

Anonymous comment on 2015-12-07 03:50

Thank you for this package!

sender commented on 2015-11-07 14:00

@horosgrisa are you sure you are running the sublime-text-dev package, and the latest version? I don't get how you could get `WM_CLASS(STRING) = "sublime_text", "Sublime_text"`. Anyway, it doesn't seem to be possible to specify multiple values for `StartupWMClass`.

horosgrisa commented on 2015-11-05 06:44

@sender Now in KDE 5 ST window shows in another icon. `xprop WM_CLASS` returns `WM_CLASS(STRING) = "sublime_text", "Sublime_text"`. I changed `StartupWMClass=subl3` to `StartupWMClass=sublime_text` and now all work normal.

Anonymous comment on 2015-11-01 16:06

Icon files are conflicting here, too. The package "sublime-text" owns the icons with "-", too.